/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.dept;

import cn.hutool.core.util.StrUtil;
import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.yiring.auth.domain.dept.Department;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 部门导入
 *
 * @author LJ-2204
 * @date 2022/4/25
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class DepartmentImportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = -1287875741111587840L;

    @ExcelColumn(index = 0)
    @NotNull
    String name;

    @ExcelColumn(index = 1)
    String realName;

    @ExcelColumn(index = 2)
    String mobile;

    @ExcelColumn(index = 3)
    String enable;

    public static Department transform(DepartmentImportExcel departmentImportExcel) {
        return Department
            .builder()
            .name(departmentImportExcel.getName())
            .enable(StrUtil.equals(departmentImportExcel.getEnable(), "启用"))
            .build();
    }
}
